<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes">

    <!-- See https://goo.gl/OOhYW5 -->
    <link rel="manifest" href="./manifest.json">
    <meta name="theme-color" content="#2f2f2f">

    <title>VIRT Video Viewer</title>
    <meta name="description" content="Video Information Refinement Tool - Filter Data">
    <link rel="icon" href="./images/node-blue.ico">

    <!-- OPTIONAL: Normalize is used to make things the same across browsers. Index is for your styles -->
    <link rel="stylesheet" href="./vendor/normalize.css/normalize.css">

    <!-- JQuery -->
    <script src="./vendor/jquery/dist/jquery.min.js"></script>

    <!-- Bootstrap -->
    <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
    <script src="bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Google Icons -->
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

    <link rel="stylesheet" href="./css/main.css">
    <!--<link rel="stylesheet" href="./index.css">-->
</head>

<body>

    <!-- menu bar -->
    <nav class="navbar bg-dark navbar-dark navbar-expand-sm menu-bar">
        <div class="navbar-nav">
    
            <a class="nav-item nav-link btn btn-secondary" href="filter.html">Back To Filter</a>
            <a class="nav-item nav-link" href="#">File</a>
            <a class="nav-item nav-link" href="#">Edit</a>
            <a class="nav-item nav-link" href="#debug" data-toggle="modal">Debug</a>
            <a class="nav-item nav-link" href="login.html">Log Out</a>
    
        </div>
    
        <span class="navbar-brand ml-auto">CANSOFCOM VIRT</span>
    </nav> <!-- menu bar -->

    <!-- loading modal -->
    <div class="modal" id="loading-modal">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content bg-dark text-center">

                <div class="modal-body">
                    <h5 class="modal-title">Loading Content</h5>
                    <br>
                    <div class="spinner-border text-light" role="status"></div>
                </div>

            </div>
        </div>
    </div> <!-- loading modal -->

    <div class="container-fluid">

        <div class="row">

            <!-- comments -->
            <div class="col-3 comment-threads">

                <h4>Comments</h4>

                <div class="accordion" id="comment-accordion">
                    
                    <!-- thread card -->
                    <div class="card" id="thread-01">
                    
                        <!-- card header -->
                        <div class="card-header" id="thread-head-01" data-toggle="collapse">
                            <h6 class="mb-0">
                                <a data-toggle="collapse" href="#thread-content-01">
                                    Thread 01
                                </a>
                            </h6>
                        </div> <!-- card header -->
                    
                        <div class="collapse" id="thread-content-01" data-parent="#comment-accordion">
                    
                            <!-- card body -->
                            <div class="card-body">
                                <!-- thread content -->
                                <h6 class="card-title">Username</h6>
                                <p class="card-text">Thread Content here</p>
                                <hr>
                                <h6 class="card-title">Username</h6>
                                <p class="card-text">Thread Content here</p>
                                <hr>
                                <!-- thread content -->
                    
                                <!-- post comment form -->
                                <form>
                                    <div class="form-group">
                                        <input class="form-control" type="text">
                                        <br>
                                        <button class="btn btn-primary" type="button">Submit</button>
                                    </div>
                                </form> <!-- post comment form -->
                            </div><!-- card body -->
                    
                        </div>
                    
                    </div> <!-- thread card -->
                    
                    <!-- thread card -->
                    <div class="card" id="thread-02">
                    
                        <!-- card header -->
                        <div class="card-header" id="thread-head-02" data-toggle="collapse">
                            <h6 class="mb-0">
                                <a data-toggle="collapse" href="#thread-content-02">
                                    Thread 02
                                </a>
                            </h6>
                        </div> <!-- card header -->
                    
                        <div class="collapse" id="thread-content-02" data-parent="#comment-accordion">
                    
                            <!-- card body -->
                            <div class="card-body">
                                <!-- thread content -->
                                <h6 class="card-title">Username</h6>
                                <p class="card-text">Thread Content here</p>
                                <hr>
                                <h6 class="card-title">Username</h6>
                                <p class="card-text">Thread Content here</p>
                                <hr>
                                <!-- thread content -->
                    
                                <!-- post comment form -->
                                <form>
                                    <div class="form-group">
                                        <input class="form-control" type="text">
                                        <button class="btn btn-primary" type="button">Submit</button>
                                    </div>
                                </form> <!-- post comment form -->
                            </div><!-- card body -->
                    
                        </div>
                    
                    </div> <!-- thread card -->
                    
                    <!-- thread card -->
                    <div class="card" id="thread-03">
                    
                        <!-- card header -->
                        <div class="card-header" id="thread-head-03" data-toggle="collapse">
                            <h6 class="mb-0">
                                <a data-toggle="collapse" href="#thread-content-03">
                                    Thread 03
                                </a>
                            </h6>
                        </div> <!-- card header -->
                    
                        <div class="collapse" id="thread-content-03" data-parent="#comment-accordion">
                    
                            <!-- card body -->
                            <div class="card-body">
                                <!-- thread content -->
                                <h6 class="card-title">Username</h6>
                                <p class="card-text">Thread Content here</p>
                                <hr>
                                <h6 class="card-title">Username</h6>
                                <p class="card-text">Thread Content here</p>
                                <hr>
                                <!-- thread content -->
                    
                                <!-- post comment form -->
                                <form>
                                    <div class="form-group">
                                        <input class="form-control" type="text">
                                        <button class="btn btn-primary" type="button">Submit</button>
                                    </div>
                                </form> <!-- post comment form -->
                            </div><!-- card body -->
                    
                        </div>
                    
                    </div> <!-- thread card -->
                    
                </div>

            </div> <!-- comments -->

            <!-- video player -->
            <div class="col-9">

                <!-- video -->
                <div class="row">
                    <div class="col-12 video-play-area">

                        <div class="video-container">
                            <div id="video-vis"></div>

                            <video class="" id="video">
                            </video>
                        </div>
                        
                        <div class="video-transport text-center">
                            <button class="btn btn-sm btn-primary" data-toggle="button" onclick="playPause()">
                                <i style="display: none" class="material-icons" id="transport-pause">pause</i>
                                <i class="material-icons" id="transport-play">play_arrow</i>
                            </button>

                            <input class="slider" type="range" value="0" min="0" max="1000" name="slider" id="vid-slider">
                        </div>

                    </div>
                </div> <!-- video -->

                <!-- timeline -->
                <div class="row p-0 video-timeline-area">
                    <div class="col-12 p-0">

                        <div id="timeline"></div>

                    </div>
                </div> <!-- timeline -->

            </div> <!-- video player -->

        </div> <!-- row -->

    </div> <!-- main container -->

    <!-- debug modal -->
    <div class="modal frontend-console" id="debug">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content bg-dark">
    
                <div class="modal-header">
                    <h5 class="modal-title">Debug Console</h5>
                </div>
    
                <div class="modal-body modal-dialog-scrollable">
                    <pre><code id="debug-output">debug text here</code></pre>
                </div>
    
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
    
            </div>
        </div>
    </div> <!-- debug modal -->

    <!-- These MUST be in the right order. Note no leading / -->
    <!-- REQUIRED: Socket.IO is loaded only once for all instances, Without this, you don't get a websocket connection -->
    <script src="/uibuilder/socket.io/socket.io.js"></script>
    <!-- Note no leading / -->

    <!-- OPTIONAL: JQuery can be removed if not required (on some installations you have to remove `dist/` -->
    <script src="./vendor/jquery/dist/jquery.min.js"></script>

    <script src="bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- D3 js -->
    <script src="js/plugins/d3.js"></script>

    <!-- REQUIRED: Sets up Socket listeners and the msg object -->
    <script src="./uibuilderfe.min.js"></script>
    
    <!-- OPTIONAL: You probably want this. Put your custom code here -->
    <script src="./js/video-edit-logic.js"></script>
    <script src="./js/timeline-graph.js"></script>

    <!-- Frontend Console -->
    <script src="./js/debug-console.js"></script>

    <!--<script src="./index.js"></script>-->
</body>

</html>